<?php 
error_reporting(-1);
require_once (__DIR__ . '/../../../sistemawin7lib/vendor/autoload.php');
require_once(__DIR__ . "/../Sistema_Win7Fone.php");
require_once(__DIR__ . "/../Sistema_Adwords.php");

/* Essa função marca o processo como não executando caso ocorra algum erro. */
function erro_atualizar_resultados($errno, $errstr, $errfile, $errline){
	$bd = new Banco_Dados(false);
	$bd->executar("UPDATE TBL_PROCESSO_RESULTADOS SET NU_EXECUTANDO = 0 WHERE NU_ID = 1");
}
$old_error_handler = set_error_handler("erro_atualizar_resultados");

/* Garante que o script vai rodar indefinidamente */
ignore_user_abort(true);
set_time_limit(0);
error_reporting(-1);

try{
	$bd = new Banco_Dados(false);
	$clientes = $bd->executar("SELECT * FROM TBL_CLIENTE WHERE NU_CLIENTE_ATIVO = 1", array(), Banco_Dados::FETCH_ALL);

	$time = date("Y-m-d", strtotime("-".$counter." days"));

	$sistema_win7fone = new Sistema_Win7Fone(-1, $bd);
	//$adwords = new Sistema_Adwords($bd);

	foreach($clientes as $cliente){
		$id = $cliente['ID_CLIENTE'];
		echo $id.": <br>";
		//$id_adwords = $cliente['NU_ADWORDS'];
		$sistema_win7fone->id = $id;

		for($i = 1; $i < 40; $i++){
			echo $i."<br>";
			$time = date("d/m/Y", strtotime("-".$i." days"));
			$time2 = date("Y-m-d", strtotime("-".$i." days"));

			$ligacoes = $sistema_win7fone->contar_ligacoes("CUSTOM_DATE", $time, $time);
            $nao_atendidas = $ligacoes[1];
            $ligacoes = $ligacoes[0];

			/*
			if(!empty($id_adwords)){
				try{
					$rows = $adwords->resultado_geral($id_adwords, "CUSTOM_DATE", $time, $time);
					if(!empty($rows) & count($rows) > 0){
						$rows = $rows[0];
						$cliques = $rows["clicks"];
					}
					else{
						$cliques = "0";
					}
				}
				catch(Exception $e){
					$cliques = "0";
				}
			}
			else{
				$cliques = "0";
			}
			*/

			$sql = "SELECT * FROM TBL_DADOS_RESULTADOS WHERE DT_DIA = '".$time2."' AND ID_FK = ".$id."";
			$resultado = $bd->executar($sql, array(), Banco_Dados::FETCH);
			if($bd->quantidade() > 0){
				$sql = "UPDATE TBL_DADOS_RESULTADOS SET NU_LIGACOES = :ligacoes, NU_CLIQUES = :cliques, NU_LIGACOES_NAO_ATENDIDAS = :naoatendidas WHERE NU_ID = :id";
				$bd->executar($sql, array(
					":ligacoes" => $ligacoes,
					":cliques" => "0",
					":id" => $resultado["NU_ID"],
          ":naoatendidas" => $nao_atendidas
				));
			}
			else{
				$sql = "INSERT INTO TBL_DADOS_RESULTADOS (NU_LIGACOES, NU_CLIQUES, DT_DIA, ID_FK, NU_LIGACOES_NAO_ATENDIDAS) VALUES (:ligacoes, :cliques, :dia, :id, :naoatendidas)";
				$bd->executar($sql, array(
					":ligacoes" => $ligacoes,
					":cliques" => "0",
					":dia" => $time2,
					":id" => $id,
          ":naoatendidas" => $nao_atendidas
				));
			}
		}
	}
}
catch(Exception $e){
	echo $e;
	exit;
}
?>